//
//  CHBHPartnerClientProtocol.h
//  HeliumSdk
//
//  Created by Geoff Heeren on 3/4/20.
//
#import <Foundation/Foundation.h>
@protocol CHBHAdData;

NS_ASSUME_NONNULL_BEGIN

@protocol CHBHPartnerClientDelegate <NSObject>
- (void)partnerClientDidInitializeWithError:(NSError* __nullable)error;
@end
@protocol CHBHPartnerClientProtocol <NSObject>
- (BOOL)isPresent;
- (instancetype)initWithDelegate:(id<CHBHPartnerClientDelegate>)delegate andHeliumVersion:(NSString*)version;
- (void)startClientWithConfig:(NSDictionary*)config;
- (void)setSubjectToCoppa:(BOOL)isSubject;
- (void)setSubjectToGDPR:(BOOL)isSubject;
- (void)setUserHasGivenConsent:(BOOL)hasGivenConsent;
- (void)setCCPAConsent:(BOOL)hasGivenConsent;
- (NSString*)partnerVersion;
- (NSString*)adapterVersion;

@optional

/// Asynchronously fetches the bidding information.
/// This should be performed before the auction request is sent to ad server and this information will be included in the request payload.
/// @param adData Ad data that may be used to help facilitate bidder information generation.
/// @param completion Completion block invoked when fetching finishes.
- (void)fetchBidderInformationWithAdData:(id<CHBHAdData>)adData
                              completion:(void(^)(NSDictionary<NSString *, NSString *> * _Nullable info))completion;

@end
NS_ASSUME_NONNULL_END

