//
//  CHBHPlacementClientProtocol.h
//  HeliumSdk
//
//  Created by Kelly Dun on 5/23/22.
//

#import <UIKit/UIKit.h>

// Forward declarations
@protocol CHBHPlacementDelegate;
@protocol CHBHAdData;
typedef NS_ENUM(NSInteger, CHBHAdType);
typedef NS_ENUM(NSInteger, CHBHAdSize);

NS_ASSUME_NONNULL_BEGIN

@protocol CHBHPlacementClientProtocol <NSObject>
@property (nonatomic, assign, readonly) CHBHAdType adType;
@property (nonatomic, copy, readonly) NSString *placementId;
- (instancetype)initWithDelegate:(id<CHBHPlacementDelegate>)delegate;
- (void)loadAdWithPlacementId:(NSString *)placementId
                       adData:(id<CHBHAdData>)adData
                   bidPayload:(nullable NSString *)bidPayload
                         info:(nullable NSDictionary<NSString *, NSString *> *)info;
- (void)showAdWithViewController:(UIViewController *)viewController;
@end

@protocol CHBHBannerPlacementClientProtocol <CHBHPlacementClientProtocol>
@property (nonatomic, nullable, readonly) UIView *bannerView;
- (instancetype)initWithDelegate:(id<CHBHPlacementDelegate>)delegate size:(CHBHAdSize)size;
@end

@protocol CHBHPlacementDelegate <NSObject>

- (void)adForObject:(id<CHBHPlacementClientProtocol>)placement didLoadAdWithError:(nullable NSError *)error;
- (void)adForObject:(id<CHBHPlacementClientProtocol>)placement didShowAdWithError:(nullable NSError *)error;
- (void)adForObject:(id<CHBHPlacementClientProtocol>)placement didRecordImpressionWithError:(nullable NSError *)error;
- (void)adForObject:(id<CHBHPlacementClientProtocol>)placement didClickAdWithError:(nullable NSError *)error;
- (void)adForObject:(id<CHBHPlacementClientProtocol>)placement didCloseAdWithError:(nullable NSError *)error;
- (void)adForObject:(id<CHBHPlacementClientProtocol>)placement didGetReward:(NSInteger)reward;

@end

NS_ASSUME_NONNULL_END
