//
//  CHBHAdMobProtocols.h
//  HeliumAdapterAdMob
//
//  Created by Geoff Heeren on 2/26/20.
//  Copyright © 2020 Chartboost. All rights reserved.
//

#import <UIKit/UIKit.h>

// Forward Objc declarations
@protocol CHBHAdData;
typedef NS_ENUM(NSInteger, CHBHAdType);
typedef NS_ENUM(NSInteger, CHBHAdSize);

NS_ASSUME_NONNULL_BEGIN

@protocol CHBHMonoPlacementDelegate;
@protocol CHBHMonoPlacementClientProtocol <NSObject>
- (void)loadAdWithType:(CHBHAdType)adType andPlacementId:(NSString*)placementId andBidPayload:(NSString*)payload;
- (void)loadAdWithType:(CHBHAdType)adType andPlacementId:(NSString*)placementId;
- (void)showAdAdWithType:(CHBHAdType)adType andPlacementId:(NSString*)placementId onViewController:(UIViewController * __nullable)vc;
- (BOOL)hasAdWithType:(CHBHAdType)adType andPlacementId:(NSString*)placementId;
- (void)destroyAdWithType:(CHBHAdType)adType andPlacementId:(NSString*)placementId;
@optional
- (void)loadAdWithType:(CHBHAdType)adType andPlacementId:(NSString*)placementId andBidPayload:(NSString*)payload info:(nullable NSDictionary*)info;
- (void)loadAdWithType:(CHBHAdType)adType andPlacementId:(NSString*)placementId info:(nullable NSDictionary*)info;
@end
@protocol CHBHMonoBannerPlacementClientProtocol<CHBHMonoPlacementClientProtocol>
- (void)loadAdViewWithSize:(CHBHAdSize)size
            andPlacementId:(nonnull NSString *)placementId
         andViewController:(UIViewController*)vc;
- (void)loadAdViewWithSize:(CHBHAdSize)size
            andPlacementId:(nonnull NSString *)placementId
             andBidPayload:(nonnull NSString *)payload
         andViewController:(UIViewController*)vc;
- (void)refreshAdWithPlacementId:(nonnull NSString *)placementId;
- (UIView*)bannerViewForPartnerPlacementId:(nonnull NSString *)placementId;
@end

@protocol CHBHMonoPlacementDelegate <NSObject>
- (void)adWithType:(CHBHAdType)adType andPartnerPlacementId:(NSString*)partnerPlacementId didLoadAdWithError:(NSError* __nullable)error;
- (void)adWithType:(CHBHAdType)adType andPartnerPlacementId:(NSString*)partnerPlacementId didShowAdWithError:(NSError* __nullable)error;
- (void)adWithType:(CHBHAdType)adType andPartnerPlacementId:(NSString*)partnerPlacementId didRecordImpressionWithError:(NSError* __nullable)error;
- (void)adWithType:(CHBHAdType)adType andPartnerPlacementId:(NSString*)partnerPlacementId didClickAdWithError:(NSError* __nullable)error;
- (void)adWithType:(CHBHAdType)adType andPartnerPlacementId:(NSString*)partnerPlacementId didCloseAdWithError:(NSError* __nullable)error;
- (void)adWithType:(CHBHAdType)adType andPartnerPlacementId:(NSString*)partnerPlacementId didGetReward:(NSInteger)reward;
@end
NS_ASSUME_NONNULL_END
