//
//  HeliumImpressionData.h
//  HeliumSdk
//
//  Created by Kelly Dun on 1/13/22.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

/// @c NSNotification name for receiving ILRD events.
/// To listen for ILRD notification events, register a notification handler using this constant as the notification name.
/// @code
/// [NSNotificationCenter.defaultCenter addObserverForName:kHeliumDidReceiveILRDNotification
///                                                 object:nil
///                                                  queue:nil
///                                             usingBlock:^(NSNotification * _Nonnull notification) {
///   // Extract the ILRD payload.
///   HeliumImpressionData *ilrd = (HeliumImpressionData *)notification.object;
///   NSString *placement = ilrd.placement;
///   NSDictionary *json = ilrd.jsonData;
/// }];
/// @endcode
FOUNDATION_EXPORT NSString *const kHeliumDidReceiveILRDNotification;

NS_ASSUME_NONNULL_END
