//
//  HeliumDelegates.h
//  HeliumSdk
//
//  Created by Geoff Heeren on 10/23/18.
//

#ifndef HeliumDelegates_h
#define HeliumDelegates_h

#import <UIKit/UIKit.h>

// Forward Swift declarations
@class HeliumError;

NS_ASSUME_NONNULL_BEGIN

#pragma mark - HeliumSdkDelegate

/// Delegate for receiving Helium SDK initialization callbacks.
@protocol HeliumSdkDelegate <NSObject>
/// Helium SDK has finished initializing.
/// @param error Optional error if the Helium SDK did not initialize properly.
- (void)heliumDidStartWithError:(nullable HeliumError *)error;
@end

NS_ASSUME_NONNULL_END

#endif
